Subject: RE: Equipment Lifting

From: Ted Larson <[email-masked]>
Date: Mon Mar 17 14:36:46 2003

Another option is to rent one for the day.
I have seriously contemplated renting one of these material lifts
before....shouldn't be too expensive.

http://www.unitedrentals.com/new/index.php/rental/General+Construction/Mater
ial+Handling+Equipment/281?PHPSESSID=6ecb916a478e13600e9b940b7c87296a

- Ted

-----Original Message-----
From: John Lawson [mailto:[email-masked]]
Sent: Monday, March 17, 2003 9:48 AM
To: [email-masked]
Subject: Re: Equipment Lifting

On Mon, 17 Mar 2003 [email-masked] wrote:

> In a message dated 3/17/2003 1:30:40 AM Eastern Standard Time,
> [email-masked] writes:
>
> <<
>  I'm trying to locate the manufacturer or source for a
>  device used to lift equipment into racks. This is a
>  manually operated device (or electric?) used to lift
>  disk drives, servers, etc. and place them in racks.
>  They should be portable as I've seen HP CE's use them. >>
>
> www.globalindustrial.com
>

  Hot Damn!   I looked (mostly) all over for these; never thought to check
the company Dave's provided.  I actually bought most of the parts to
modify a regular handtruck to do this, but haven't got a Round Tuit on
that project yet.

  A bit pricey, the cheapest lift starts at $400, but if you've ever put a
Kennedy 9100 four feet up in a rack (on it's slides) by yourself...  these
might be a good value.

  The category they're in is a bit counter-intuitive: look for them in
"Carts / Casters / Trucks - Lift Trucks - Lift Truck Winch".  Of course if
you have lots of bux you can get a hydraulic one, but....

  Cheers

John